@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body,
html {
    font-family: 'Montserrat', sans-serif;
    height: 100%;
    background-color: #eeeeee;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4 {
    font-weight: 300;
}

a {
    text-decoration: none;
}

.ui-autocomplete {
    z-index: 2147483647;
}
.wrapper {
    height: auto;
    min-height: 100%;
    position: relative;
    overflow-x: hidden;
    overflow-y: auto;
}
.wrapper-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 120vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 997;
    will-change: opacity;
    display: none;
    -webkit-transition:
        -webkit-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -moz-transition:
        -moz-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -o-transition:
        -o-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    transition:
        transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
}
/****************************************
 * 
 *          Navbar Section
 * 
 * *************************************/
header {
    position: relative;
    z-index: 1000;
}
.brand {
    display: block;
    float: left;
    height: 56px;
    font-size: 20px;
    line-height: 50px;
    text-align: left;
    width: 230px;
    padding: 0 15px;
    font-weight: 300;
    overflow: hidden;
    color: rgb(255, 255, 255);
    background-color: #a6c;
    border-bottom: 0 solid transparent;
    -webkit-transition:
        -webkit-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -moz-transition:
        -moz-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -o-transition:
        -o-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    transition:
        transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
}
.wrapper.mini-menu .brand {
    display: none;
}
@media (max-width: 767px) {
    header .brand {
        width: 100%;
        float: none;
        background-color: #9933cc !important;
        text-align: center;
    }
    .wrapper.mini-menu .brand {
        display: block;
    }
}

@media (min-width: 768px) {
    /*  make 50px brand when mini menu show */
    .wrapper.mini-menu .brand {
        width: 50px;
    }
}

/****************************************
 * 
 *          Sidebar Section
 * 
 * *************************************/
sidebar {
    position: absolute;
    top: 0;
    left: 0;
    padding-top: 56px;
    min-height: 100%;
    width: 230px;
    z-index: 999;
    background-color: #364150;
    -webkit-transition:
        -webkit-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -moz-transition:
        -moz-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -o-transition:
        -o-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    transition:
        transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    box-shadow:
        0 4px 5px 0 rgba(0, 0, 0, 0.14),
        0 1px 10px 0 rgba(0, 0, 0, 0.12),
        0 2px 4px -1px rgba(0, 0, 0, 0.2);
}

@media (max-width: 767px) {
    sidebar {
        -webkit-transform: translate(-230px, 0);
        -ms-transform: translate(-230px, 0);
        -o-transform: translate(-230px, 0);
        transform: translate(-230px, 0);
    }

    .mob-sidebar sidebar {
        -webkit-transform: translate(0, 0);
        -ms-transform: translate(0, 0);
        -o-transform: translate(0, 0);
        transform: translate(0, 0);
    }

    .mob-sidebar .content {
        -webkit-transform: translate(230px, 0);
        -ms-transform: translate(230px, 0);
        -o-transform: translate(230px, 0);
        transform: translate(230px, 0);
    }
    .mob-sidebar .wrapper-overlay {
        display: block;
    }
}

/* Sidebar nav */
.sidebar-nav {
    list-style: none;
}

.sidebar-nav li a {
    color: #b4bcc8;
    display: block;
    text-decoration: none;
    border-left: 3px solid transparent;
    padding: 12px 5px 12px 15px;
    font-size: 14px;
    font-weight: 300;
}

.sidebar-nav > li:hover > a,
.sidebar-nav > li.active > a {
    color: #fff;
    background: #3e4b5c;
    border-left-color: #aa66cc;
}

.sidebar-nav .nav-header {
    color: #4b646f;
    background: #1a2226;
    padding: 10px 25px 10px 15px;
    font-size: 14px;
    display: block;
}

.sidebar-nav li a i {
    margin-right: 10px;
}

.sub-color {
    background-color: #757b79;
}

.sub-tab {
    margin-left: 10px;
}

.fa.arrow:before {
    content: '\f104';
}

.sidebar-nav .active > a > .fa.arrow:before {
    content: '\f107';
}

.sidebar-nav .sub-menu {
    margin: 0 1px;
    background: #2c3b41;
}

.sidebar-nav .sub-menu li a {
    padding: 5px 5px 5px 20px;
    display: block;
    font-size: 14px;
}

.sidebar-nav .sub-menu {
    display: none;
}

.sub-menu > li:hover > a,
.sub-menu > li.active > a {
    color: #fff;
    text-align: left;
}
@media (min-width: 768px) {
    /* make 50px sidebar when mini menu show  */
    .wrapper.mini-menu sidebar {
        width: 50px !important;
    }

    /* make sidebar anchor position relative when mini menu show  */
    .wrapper.mini-menu sidebar li a {
        text-align: left;
        position: relative;
    }

    /*  hide menu text when mini menu show  */
    .wrapper.mini-menu .sidebar-nav > li > a > span {
        display: none;
    }

    /*  hide menu arrow when mini menu show  */
    .wrapper.mini-menu .sidebar-nav li i.fa.arrow {
        display: none;
    }

    /* min height set to 50px when mini menu show */
    .wrapper.mini-menu .nav-userpanel {
        min-height: 50px;
    }

    /* hide the header when mini menu show */
    .wrapper.mini-menu .nav-header {
        display: none !important;
    }

    /*  hide submenu when mini menu show  */
    .wrapper.mini-menu .sidebar-nav li .sub-menu {
        display: none !important;
    }

    .wrapper.mini-menu .sidebar-nav li.nav-hover .sub-menu {
        display: block !important;
        position: absolute;
        left: 50px;
        margin: 0;
        min-width: 160px;
        z-index: 100;
        -moz-border-radius: 0 0 2px 0;
        -webkit-border-radius: 0 0 2px 0;
        border-radius: 0 0 2px 0;
    }

    .wrapper.mini-menu .sidebar-nav li.nav-hover > a > span {
        position: absolute;
        background: #3e4b5c;
        color: #fff;
        padding: 11.7px;
        left: 47px;
        top: 1px;
        min-width: 160px;
        text-align: center;
        z-index: 1000;
        display: block;
        font-size: 14px;
        border-top-right-radius: 4px;
    }

    .wrapper.mini-menu .sidebar-nav li.nav-hover:not(.tree) > a > span {
        border-bottom-right-radius: 4px;
    }

    .wrapper.mini-menu .sidebar-nav > li > .sub-menu {
        display: none;
    }
}

@media (max-width: 767px) {
    .sidebar-nav {
        padding-top: 56px;
    }
}

/****************************************
 * 
 *          Content Section
 * 
 * *************************************/
.content {
    margin-left: 230px;
    padding: 0px;
    padding-left: 20px;
    padding-right: 20px;
    -webkit-transition:
        -webkit-transform 0.3s ease-in-out,
        margin 0.3s ease-in-out;
    -moz-transition:
        -moz-transform 0.3s ease-in-out,
        margin 0.3s ease-in-out;
    -o-transition:
        -o-transform 0.3s ease-in-out,
        margin 0.3s ease-in-out;
    transition:
        transform 0.3s ease-in-out,
        margin 0.3s ease-in-out;
    min-height: 100%;
    height: 100%;
}

@media (min-width: 768px) {
    .wrapper.mini-menu .content {
        margin-left: 50px;
    }
    .content .row {
        padding: 20px;
    }
    .page-title {
        margin-left: 20px;
    }
}
@media (max-width: 767px) {
    .content {
        margin-left: 0px;
    }
}
/****************************************
   * 
   *          Custom breadcrumb
   * 
   * *************************************/
.breadcrumb-bar {
    background-color: #f5f5f5;
    padding: 15px;
    position: relative;
    border-bottom: 1px solid #e7ecf1;
    margin-left: -20px;
    margin-right: -20px;
}
.breadcrumb-bar .breadcrumb-list {
    position: relative;
    display: inline-block;
    padding: 0px;
    margin: 0;
    list-style: none;
    -webkit-transition:
        -webkit-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -moz-transition:
        -moz-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -o-transition:
        -o-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    transition:
        transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
}
.breadcrumb-bar .breadcrumb-list > li {
    display: inline-block;
    margin-right: 5px;
    -webkit-transition:
        -webkit-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -moz-transition:
        -moz-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    -o-transition:
        -o-transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
    transition:
        transform 0.3s ease-in-out,
        width 0.3s ease-in-out;
}

.breadcrumb-bar .breadcrumb-list > li + li:before {
    content: '/';
    margin-right: 5px;
}

/*page title*/
.page-title {
    color: #666;
    margin-bottom: 20px;
    margin-top: 20px;
}

/* Custom widget */
.widget-stat {
    display: block;
    margin-bottom: 25px;
    overflow: hidden;
    border-radius: 2px;
    -webkit-box-shadow:
        0 8px 17px 0 rgba(0, 0, 0, 0.2),
        0 6px 20px 0 rgba(0, 0, 0, 0.19);
    box-shadow:
        0 8px 17px 0 rgba(0, 0, 0, 0.2),
        0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.widget-stat:hover {
    margin-top: -5px;
    margin-right: -5px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    transition: all 500ms ease;
}

a.widget-stat.waves-effect,
a.widget-stat.waves-light {
    display: block;
}

.widget-icon {
    width: 80px;
    height: 80px;
    display: block;
    float: left;
    padding-left: 15px;
    font-size: 35px;
    line-height: 35px;
    padding-top: 35px;
    margin-bottom: 40px;
}

.widget-icon > i {
    color: #fff;
    opacity: 0.1;
    filter: alpha(opacity=10);
    margin-left: -35px;
    font-size: 110px;
    line-height: 110px;
}

.widget-details {
    position: absolute;
    right: 15px;
    padding-right: 15px;
}
.widget-details-number {
    padding-top: 25px;
    text-align: right;
    font-size: 34px;
    line-height: 36px;
    letter-spacing: -1px;
    margin-bottom: 0;
    font-weight: 300;
    color: #fff;
}

.widget-details-desc {
    text-align: right;
    font-size: 16px;
    letter-spacing: 0;
    font-weight: 300;
    color: #fff;
    opacity: 1;
    filter: alpha(opacity=100);
}

/* card header */
.card-special {
    margin-top: 30px;
}
.card .card-header {
    border-radius: 3px;
    padding: 1rem 15px;
    margin-left: 15px;
    margin-right: 15px;
    margin-top: -30px;
    border: 0;
    color: #fff;
    margin-bottom: 30px;
}
.card .card-header-danger {
    background: linear-gradient(60deg, #ef5350, #d32f2f);
    box-shadow:
        0 5px 20px 0 rgba(0, 0, 0, 0.2),
        0 13px 24px -11px rgba(244, 67, 54, 0.6);
}
.card .card-header-warning {
    background: linear-gradient(60deg, #ffa726, #f57c00);
    box-shadow:
        0 5px 20px 0 rgba(0, 0, 0, 0.2),
        0 13px 24px -11px rgba(255, 152, 0, 0.6);
}
.card .card-header-info {
    background: linear-gradient(60deg, #26c6da, #0097a7);
    box-shadow:
        0 5px 20px 0 rgba(0, 0, 0, 0.2),
        0 13px 24px -11px rgba(0, 188, 212, 0.6);
}
.card .card-header-success {
    background: linear-gradient(60deg, #66bb6a, #388e3c);
    box-shadow:
        0 5px 20px 0 rgba(0, 0, 0, 0.2),
        0 13px 24px -11px rgba(76, 175, 80, 0.6);
}
.card .card-header-primary {
    background: linear-gradient(60deg, #ab47bc, #7b1fa2);
    box-shadow:
        0 5px 20px 0 rgba(0, 0, 0, 0.2),
        0 13px 24px -11px rgba(156, 39, 176, 0.6);
}

/****************************************
 * 
 *          Mislanious
 * 
 * *************************************/
.text-flip {
    height: 120px;
}
.text-flip div {
    writing-mode: tb-rl;
    transform: rotate(-180deg);
    white-space: nowrap;
    max-height: 120px;
}
.t-cp {
    background: linear-gradient(to right, #0099cc 50%, #ff8800 50%);
}
.t-cs {
    background: linear-gradient(to right, #0099cc 50%, #007e33 50%);
}
.t-ps {
    background: linear-gradient(to right, #ff8800 50%, #007e33 50%);
}
.t-cps {
    background: linear-gradient(
        to right,
        #0099cc 0,
        #0099cc 33%,
        #ff8800 33%,
        #ff8800 66%,
        #007e33 66%,
        #007e33 100%
    );
}

/****************************************
 * 
 *          Gnt Table
 * 
 * *************************************/
.table-header-rotated {
    border-collapse: collapse;
}
.table-header-rotated td {
    width: 30px;
}
.no-csstransforms .table-header-rotated th {
    padding: 5px 10px;
}
.table-header-rotated td {
    text-align: center;
    padding: 1px 1px 20px 5px;
}
.table-header-rotated th.rotate {
    height: 100px;
    white-space: nowrap;
    border-left: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    border-top: 1px solid #ddd;
}
.table-header-rotated th.rotate > div {
    -webkit-transform: translate(1px, 38px) rotate(-90deg);
    transform: translate(1px, 38px) rotate(-90deg);
    width: 30px;
}
.table-header-rotated th.rotate > div > span {
    color: #484a4d;
    padding: 5px 10px 5px 15px;
}
.table-header-rotated th.row-header {
    padding: 0 10px;
}
.blank-th {
    height: 100px;
    background-color: #f6f6f6 !important;
    z-index: 1000;
    border: none !important;
    border-top: 1px solid #ddd !important;
    border-left: 1px solid #ddd !important;
}

.gnt-table {
    border: none;
    border-right: solid 1px #ddefef;
    border-collapse: separate;
    border-spacing: 0;
    font-weight: bold;
    font-size: 11px;
}
.gnt-table thead th {
    background-color: #f6f6f6;
    border: none;
    color: #484a4d;
    padding: 10px;
    text-align: left;
    white-space: nowrap;
}
.gnt-table tbody td {
    border-bottom: solid 1px #ddd;
    border-left: solid 1px #ddd;

    color: #333;
    white-space: nowrap;
}
.gnt-wrapper {
    position: relative;
}
.gnt-scroller {
    margin-left: 141px;
    overflow-x: scroll;
    overflow-y: visible;
    padding-bottom: 5px;
}
.gnt-table .gnt-sticky-col {
    left: 0;
    position: absolute;
    top: auto;
    width: 141px;
    background-color: #f6f6f6;
    color: #484a4d;
    border: 1px solid #ddd;
}

table.table thead th {
    border-top: 1px solid #dee2e6;
}

/****************************************
 * 
 *          Footer Section
 * 
 * *************************************/

.footer {
    background: #fff;
    padding: 15px;
    color: #444;
    border-top: 1px solid #d2d6de;
    transition:
        transform 0.3s ease-in-out,
        margin 0.3s ease-in-out;
    margin-left: 230px;
    z-index: 820;
    margin-top: 20px;
}

@media (max-width: 767px) {
    .mob-sidebar .footer {
        margin-left: 230px;
    }

    .footer {
        margin-left: 0px;
    }
}

@media (min-width: 768px) {
    /*  make 50px footer bar when mini menu show  */
    .footer {
        margin-left: 230px;
    }

    .wrapper.mini-menu .footer {
        margin-left: 50px;
    }
}
